using System.Collections.Generic;
using UnityEngine;

namespace FastArena
{
    public class MySceneManager : MonoBehaviour
    {
        public float Gravity;
        public IEnumerable<SpawnPoint> SpawnPoints;

        private void Awake()
        {
            Physics.gravity = new Vector3(0, -Gravity, 0);
            SpawnPoints = FindObjectsOfType<SpawnPoint>();
            foreach (SpawnPoint point in SpawnPoints)
            {
                point.SpawnEntities();
            }
        }
    }
}